{% extends "application.html" %}
{% block style %}
<link href='{{ url_for("static", filename="css/sweetalert2.min.css") }}' rel='stylesheet'/>
{% endblock %}
{% block content %}
<div class="container-fluid">

    <div class="row d-flex justify-content-between">
        <h1 class="h3 mb-2 text-gray-800">Quản lý phòng khám</h1>
        <a href="{{ url_for('AdminClinic.create') }}">
            <button class="btn btn-primary">Tạo mới</button>
        </a>
    </div>
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Danh sách bác sĩ</h6>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Tên phòng khám</th>
                        <th scope="col">Địa chỉ</th>
                        <th scope="col" class="text-center">Action</th>
                    </tr>
                    </thead>

                    <tbody>
                    {% for item in clinic %}
                    <tr>
                        <th>{{loop.index}}</th>
                        <td>{{item['name']}}</td>
                        <td>{{item['address']}}</td>
                        <td width="15%" class="text-center">
                            <a href="{{ url_for('AdminClinic.edit', id=item.id) }}"
                               class="btn btn-sm btn-primary btn-circle"
                               data-toggle="tooltip" data-placement="left" title="Sửa thông tin phòng khám">
                                <i class="fa fa-edit"></i>
                            </a>
                            <a onclick="delete_clinic(event, {{item.id}})"
                               href="{{ url_for('AdminClinic.delete', id=item.id) }}"
                               class="btn btn-sm btn-danger btn-circle"
                               data-toggle="tooltip" data-placement="left" title="Xóa thông tin phòng khám">
                                <i class="fa fa-trash"></i>
                            </a>
                        </td>
                    </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="d-flex justify-content-center">
    {{ pagination.links }}
</div>
{% endblock %}
{% block script %}
<script src='{{ url_for("static", filename="js/sweetalert2.all.min.js") }}'></script>
<script>
    function delete_clinic(event, id) {
        event.preventDefault();
        let urlToRedirect = event.currentTarget.getAttribute('href');
        console.log(urlToRedirect);
        Swal.fire({
            title: 'Xác nhận',
            text: "Bạn muốn xóa bản ghi này?",
            showCancelButton: true,
            confirmButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.value) {
                window.location.href = urlToRedirect;
            }
        })
    }
</script>
{% endblock %}